Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Sun, 2 Jul 2017 17:45:13 +0300

On 7/2/17 5:10 PM, Eli Zaretskii wrote:

>> To my knowledge ‘company-mode’ and all packages trying to solve similar
>> display problems are based on idle timers.
> 
> I thought they used post-command-hook, but I will let Dmitry comment
> on that.

post-command hooks and non-idle timers. Not that it matters much.

It would be nice if the popup were able to reposition itself when the 
Emacs window is resized, of course (post-command-hook doesn't always run 
in such cases), but we've been living well enough without that.